Regenerated

This commit is contained in:
2026-04-10 18:20:27 +02:00
parent 9d8392784c
commit 208a65957f
10 changed files with 3435 additions and 3492 deletions
+1963 -1953
View File
File diff suppressed because it is too large Load Diff
+1424 -1410
View File
File diff suppressed because it is too large Load Diff
@@ -1,48 +0,0 @@
#!/bin/sh
set -euo pipefail
WALLPAPER_DIR="$HOME/Wallpapers"
# -----------------------------
# Set wallpaper on all monitors
# -----------------------------
set_wallpaper_all_monitors() {
pic="$1"
monitors=$(hyprctl monitors -j | jq -r '.[].name') # list all monitor names
for m in $monitors; do
awww img -o "$m" -t fade --transition-duration 1 "$pic"
done
}
# -----------------------------
# Handle workspace events
# -----------------------------
handle() {
case $1 in
workspace*)
workspace="${1: -1}" # last character
pic=""
case $workspace in
1) pic="$WALLPAPER_DIR/01.jpg" ;;
2) pic="$WALLPAPER_DIR/02.jpg" ;;
3) pic="$WALLPAPER_DIR/03.jpg" ;;
4) pic="$WALLPAPER_DIR/04.jpg" ;;
5) pic="$WALLPAPER_DIR/05.jpg" ;;
6) pic="$WALLPAPER_DIR/06.jpg" ;;
7) pic="$WALLPAPER_DIR/07.jpg" ;;
8) pic="$WALLPAPER_DIR/08.jpg" ;;
9) pic="$WALLPAPER_DIR/09.jpg" ;;
10) pic="$WALLPAPER_DIR/10.jpg" ;;
esac
[ -n "$pic" ] && set_wallpaper_all_monitors "$pic"
;;
esac
}
# -----------------------------
# Listen to Hyprland socket events
# -----------------------------
socat -U - UNIX-CONNECT:"$XDG_RUNTIME_DIR/hypr/$HYPRLAND_INSTANCE_SIGNATURE/.socket2.sock" | while read -r line; do
handle "$line"
done
@@ -1,17 +0,0 @@
#!/usr/bin/env bash
set -euo pipefail
# Source and destination directories
SOURCE_DIR="../wallpaperstuff"
DEST_DIR="$HOME/Droidnix/"
# Check if source directory exists
if [ ! -d "$SOURCE_DIR" ]; then
echo "Error: Source directory $SOURCE_DIR does not exist."
exit 1
fi
if [ ! -d "$DEST_DIR" ]; then
mkdir -p $DEST_DIR
fi
# Use rsync to copy files, overwriting symlinks and existing files
# --no-group --no-owner preserves your user ownership
rsync -av --no-group --no-owner "$SOURCE_DIR/" "$DEST_DIR/"
echo "Config files copied from $SOURCE_DIR to $DEST_DIR."
@@ -1,20 +0,0 @@
#!/bin/sh
set -euo pipefail
#creating a timestamp-file to see whether this script ran
TIMESTAMP_FILE="/home/henrov/nixos_conf/nixos_timestamp.txt"
date +"%Y-%m-%d %H:%M:%S" > "$TIMESTAMP_FILE"
echo "File $TIMESTAMP_FILE created"
#cleaning up .backup files (do not worry, they exist safely in ./assets/copy_stuff/.config)
find /home/henrov/.config -name "*.backup" -delete
echo "~/.config/*.backup files deleted"
#copying stuff from assets/copy_stuff to ~
echo "Now in path $(pwd)"
COPY_SCRIPT="/home/henrov/Repos/nixos/henrovnix_ok/assets/scripts/copy_stuff.sh"
if [ ! -f "$COPY_SCRIPT" ]; then
echo "Error: Script $COPY_SCRIPT does not exist."
exit 1
fi
"$COPY_SCRIPT"
@@ -1,12 +0,0 @@
#!/run/current-system/sw/bin/bash
# Get a list of available Wi-Fi networks
networks=$(nmcli -t -f SSID device wifi list)
# Show the list using wofi with dmenu mode
selected=$(echo "$networks" | wofi --show dmenu --width=300 --height=500 --prompt="Select a network")
# Connect to the selected network with the --ask option
if [ -n "$selected" ]; then
nmcli --ask device wifi connect "$selected"
fi
+47 -30
View File
@@ -1,43 +1,60 @@
#packages
bluez
blueman
usbutils
todoist
brave
chromium
git
direnv
ripgrep
wget
kdePackages.kdeconnect-kde
_1password-gui
tree
gparted
file
htop
btop
bat
wev
solaar
audacity
baobab
bat
blueman
bluez
brave
btop
chromium
cliphist
comma
direnv
duf
zed-editor
delta
eza
z-lua
qdirstat
obsidian
onlyoffice-desktopeditors
postman
tea
python3
fd
file
fzf
git
gparted
grim
handbrake
hyperfine
just
jq
kdePackages.kdeconnect-kde
libreoffice
nextcloud-client
nextcloud-talk-desktop
signal-desktop
nix-index
nix-output-monitor
nh
obsidian
onlyoffice-desktopeditors
openssl
audacity
handbrake
postman
python3
qdirstat
ripgrep
signal-desktop
slurp
spotify
solaar
swappy
tea
todoist
tree
usbutils
vlc
wev
wget
wl-clipboard
wf-recorder
yazu
zed-editor
zoxide
#flatpaks
eu.betterbird.Betterbird
-1
View File
@@ -26,7 +26,6 @@ in
home.stateVersion = "26.05";
programs.zsh.enable = true;
# home.file.".config/zsh/.zshrc".source = generatedZsh;
home.packages = [
# add packages here